;; This example introduces ``point constraints.''  In gmeteor, we can
;; constrain the frequency response H(f) to have a given magnitude at
;; a given frequency.

;; parameters as in example-2.scm
(title "A simple filter III")
(verbose #t)
(cosine-symmetry)
(filter-length 10)
(sampling-frequency 60)
(limit-= (band 0 10) 1 .2)  
(limit-= (band 20 30) 0)

;; We now constrain H(0) to be exactly 1.  We accomplish this effect
;; by setting weight = 0, and specifying the constraint for a point,
;; not for a band.
(limit-= 0 1 0)  

;; another point constraint at 25 Hz, just for fun.  H(25) = 0.
(limit-= 25 0 0)  

(output-file "example-3.coef")
(plot-file "example-3.plot")
(go)
