;; In this example, we design a low-pass filter with flat passband
;; response.  Normally, H(f) oscillates, but by imposing appropriate
;; constraints on H''(f) (the second derivative), we can obtain
;; a flatter response.

(title "A simple filter V")
(verbose #t)
(cosine-symmetry)   
(filter-length 10)
(sampling-frequency 60)

;; magnitude constraints
(limit-= (band 0 10) 1)
(limit-= (band 20 30) 0)

;; This command states that H(f) must be concave down in the passband.
;; In other words, we are specifying that H''(f) <= 0 for f in the
;; passband.
(concave-down (band 0 10))

;; the analogous command ``concave-up'' does what you would expect.

(output-file "example-5.coef")
(plot-file "example-5.plot")
(go)
