;; Constraint-based filter design.

(title "A simple filter VI")
(verbose #t)
(cosine-symmetry)
(filter-length 10)
(sampling-frequency 60)

;; the passband response is constrained within [0.99, 1.01], and it
;; is allowed to touch the constraints because the weight is 0.
(limit-< (band 0 10) 1.01 0) 
(limit-> (band 0 10) 0.99 0) 

;; the stop response is constrained within [-0.1, 0.1], and it
;; is pushed away from the constraints as far as possible, because
;; the weight is 1.
(limit-< (band 20 30) 0.1)
(limit-> (band 20 30) -0.1)

(output-file "example-6.coef")
(plot-file "example-6.plot")
(go)
