;; This is the zero-order-hold compensator example from Oppenheim and
;; Schafer, ``Discrete-Time Signal Processing,'' 1st ed., Section
;; 7.7.2.

(title "Compensation for Zero-Order Hold")

(cosine-symmetry)
(filter-length 29)

(define pi (* 4 (atan 1)))   ; pi = 3.14...
(define 2pi (* 2 pi))        ; 2pi = 2 * pi
(define (*2pi x) (* 2pi x))  ; a function that multiplies x by 2pi

(sampling-frequency (*2pi 1))
(define passband (band 0 (*2pi 0.2)))
(define stopband (band (*2pi 0.3) (*2pi 0.5)))

(limit-= passband
	 (lambda (f)
	   (if (= f 0) 1 (/ (/ f 2) (sin (/ f 2))))))

(limit-= stopband 0 .1)

(output-file "example-7.coef")
(plot-file "example-7.plot")

(go)
